package cn.axzo.msg.center.service.pending.response;

import cn.axzo.msg.center.service.enums.BizCategoryEnum;
import com.alibaba.fastjson.JSON;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author yanglin
 */
@Data
public class PersonTodoToBeDoneStatResponse {

    /**
     * 统计数据
     */
    private List<Stat> stats = new ArrayList<>();

    /**
     * 排查问题用
     */
    private Integer debugCount;

    public void addStat(Stat stat) {
        stats.add(stat);
    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Stat {

        /**
         * 分类
         *  FLOW: 流程审批
         *  OTHER: 业务
         */
        private BizCategoryEnum bizCategory;

        /**
         * 未完成的待办数量
         */
        private Integer pendingCount;

        public String getCategoryName() {
            return bizCategory.getDesc();
        }

    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}